CourseSection:
  properties:
    ID:
      type: string
    Content:
      type: string
      x-nullable: true
    CourseID:
      type: string
      x-nullable: true
    CreatedByID:
      type: string
      x-nullable: true
    CreatedDate:
      type: string
      x-nullable: true
    ImageAltText:
      type: string
      x-nullable: true
    ImageURL:
      type: string
      x-nullable: true
    Logo:
      type: string
      x-nullable: true
    LastModifiedByID:
      type: string
      x-nullable: true
    LastModifiedDate:
      type: string
      x-nullable: true
    Order:
      type: integer
      x-nullable: true
    Slug:
      type: string
      x-nullable: true
    Title:
      type: string
      x-nullable: true
    Lessons:
      items:
        $ref: "./course-lesson.yaml#/CourseLesson"
      type: array
  type: object
